export function createSubscriber(store: import('./storage.js').AbstractStorage, redisPrefix: string): Promise<Subscriber>;
export class Subscriber {
    /**
     * @param {api.Api} client
     */
    constructor(client: api.Api);
    client: api.Api;
    /**
     * @type {Map<string,{fs:Set<SubHandler>,id:string,nextId:string?}>}
     */
    subs: Map<string, {
        fs: Set<SubHandler>;
        id: string;
        nextId: string | null;
    }>;
    /**
     * @param {string} stream
     * @param {string} id
     */
    ensureSubId(stream: string, id: string): void;
    /**
     * @param {string} stream
     * @param {SubHandler} f
     */
    subscribe(stream: string, f: SubHandler): {
        redisId: string;
    };
    /**
     * @param {string} stream
     * @param {SubHandler} f
     */
    unsubscribe(stream: string, f: SubHandler): void;
    destroy(): void;
}
export type SubHandler = (arg0: string, arg1: Array<Uint8Array>) => void;
import * as api from './api.js';
//# sourceMappingURL=subscriber.d.ts.map